Calendar & Scheduling

Session Recurrence Groups

A SessionRecurrenceGroup represents the recurrence of sessions for a SessionType.

The SessionRecurrenceGroup object

Attributes

  • capacityintegerrequired

    The capacity of each session in this group.

  • deleted_atdate-timerequirednullable

    A timestamp of when the this was deleted.

  • idobject-idrequired

    The ID of the recurrence group.

  • namestringrequired

    An option name for the recurrence group.

  • practitioneroptional

    The practitioner who leads the sessions in this group.

  • recurrence_enddaterequirednullable

    The end date of the recurrence group.

  • recurrence_startdaterequirednullable

    The start date of the recurrence group.

  • roomrequired

    The room where the sessions in this group take place.

  • session_type_idobject-idrequired

    The ID of the SessionType this SessionRecurrenceGroup belongs to.

  • start_timestringrequirednullableDeprecated

    The start time of each occurrence, in 24 hour format

  • start_timesobject[]required

    An array of start times

  • weekdaysstring[]required

    The weekdays this rule applies to

{
  "capacity": 12,
  "deleted_at": "2026-01-15T09:30:00+00:00",
  "id": "609bd745e4358066f7061d82",
  "name": "Mondays with Adrienne",
  "practitioner": "string",
  "recurrence_end": "2021-05-10",
  "recurrence_start": "2021-04-10",
  "room": "string",
  "session_type_id": "64a9f3b2c3d8e1f4a5b6c7d8",
  "start_time": "16:00",
  "start_times": [
    {
      "id": "64a9f3b2c3d8e1f4a5b6c7d8",
      "value": "16:00"
    }
  ],
  "weekdays": [
    "monday"
  ]
}
get/shop/recurrence-groups

List SessionRecurrenceGroups

listSessionRecurrenceGroups

This endpoint lists all the SessionRecurrenceGroups.

Query parameters

  • archivedbooleanoptional

    Whether to include archived resources in the response. When true, archived resources are returned; when false or omitted, only non-archived resources are returned.

  • Retrieve SessionRecurrenceGroups where the end date is after this value.

  • Retrieve SessionRecurrenceGroups where the end date is before this value.

  • session_type_idstring[]optional

    A comma separated list of SessionType ids.

  • pageintegeroptional

    The page to retrieve results from

  • per_pageintegeroptional

    The number of results to return per page

  • site_idstringoptional

    Filter results by the site they belong to

Responses

  • 200

    The SessionRecurrenceGroups were successfully retrieved.

  • 401

    The user is unauthenticated

post/shop/recurrence-groups

Create a new SessionRecurrenceGroup

createSessionRecurrenceGroup

This endpoint creates a new SessionRecurrenceGroup for a SessionType.

Request body

  • namestringoptional

    An option name for the recurrence group.

  • practitioner_idobject-idoptional

    The practitioner who leads the sessions in this group.

  • room_idobject-idoptional

    The room where the sessions in this group take place.

  • weekdaysstring[]optional

    The weekdays sessions in this group take place.

  • start_timestringoptional

    The start time of each occurrence in this group, in 24 hour format.

  • start_timesobject[]optional
  • capacityintegeroptional

    The capacity of each session in this group.

  • recurrence_startdateoptionalnullable

    The start date of the recurrence group.

  • recurrence_enddateoptionalnullable

    The end date of the recurrence group.

  • session_type_idobject-idrequired

    The SessionType that this SessionRecurrenceGroup belongs to.

Responses

  • 201

    The recurrence group was successfully created.

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 422

    The request didn't pass validation

put/shop/recurrence-groups/{recurrenceGroupId}

Update a SessionRecurrenceGroup

updateSessionRecurrenceGroup

This endpoint updates a SessionRecurrenceGroup.

Path parameters

  • recurrenceGroupIdobject-idrequired

    Identifier of the session recurrence group. Recurrence groups represent a series of recurring class or session instances; this ID lets you update the series (e.g. cancel future occurrences, change capacity) or delete it outright.

Request body

  • namestringoptional

    An option name for the recurrence group.

  • practitioner_idstringoptional

    The practitioner who leads the sessions in this group.

  • room_idstringoptional

    The room where the sessions in this group take place.

  • weekdaysstring[]optional

    The weekdays sessions in this group take place.

  • start_timestringoptional

    The start time of each occurrence in this group, in 24 hour format.

  • start_timesobject[]optional
  • capacityintegeroptional

    The capacity of each session in this group.

  • recurrence_startdateoptionalnullable

    The start date of the recurrence group.

  • recurrence_enddateoptionalnullable

    The end date of the recurrence group.

Responses

  • 200

    The recurrence group was successfully updated.

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found

  • 422

    The request didn't pass validation

delete/shop/recurrence-groups/{recurrenceGroupId}

Archive a SessionRecurrenceGroup

deleteSessionRecurrenceGroup

This endpoint archives a SessionRecurrenceGroup.

Path parameters

  • recurrenceGroupIdobject-idrequired

    Identifier of the session recurrence group. Recurrence groups represent a series of recurring class or session instances; this ID lets you update the series (e.g. cancel future occurrences, change capacity) or delete it outright.

Responses

  • 204

    The SessionRecurrenceGroup was successfully deleted.

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found